export function openDatabase() {
  return new Promise((resolve, reject) => {
    const request = indexedDB.open("TransactionsDB", 2);

    request.onupgradeneeded = (event) => {
      const db = event.target.result;
      if (!db.objectStoreNames.contains("transactions")) {
        db.createObjectStore("transactions", {
          keyPath: "id",
        });
      }
    };

    request.onsuccess = (event) => {
      resolve(event.target.result);
    };

    request.onerror = (event) => {
      reject("Error opening DB");
    };
  });
}

export async function saveDBTransaction(transaction) {
  const db = await openDatabase();

  // Access to transactions store
  // Save new item into transations strore

  // return a promise and handle resolve and reject
}

export async function getDBTransactions() {
  const db = await openDatabase();

  // Access to transactions store
  // get all transactions data

  // return a promise and handle resolve and reject
}

export async function deleteDBTransaction(id) {
  const db = await openDatabase();

  // Access to transactions store
  // remove specific transaction row with id

  // return a promise and handle resolve and reject
}
