import "@testing-library/jest-dom";
import "fake-indexeddb/auto";
import _ from "lodash";
import "fake-indexeddb/auto";
import fetchMock from "jest-fetch-mock";

fetchMock.enableMocks();

global.structuredClone = (obj) => {
  return JSON.parse(JSON.stringify(obj));
};

const mockRegister = jest.fn().mockResolvedValue({});
global.navigator.serviceWorker = { register: mockRegister };

global.structuredClone = (obj) => {
  return _.cloneDeep(obj);
};

Object.defineProperty(window.navigator, "onLine", {
  value: true,
  writable: true,
});
